- Qt 5.3
- Qt Multimedia
- C++ Classes
- QAudioInputSelectorControl
- Qt 5.3.2 Reference Documentation

# QAudioInputSelectorControl Class

The QAudioInputSelectorControl class provides an audio input selector media control. More...

Header: | `#include <QAudioInputSelectorControl>`
qmake: | `QT += multimedia`
Inherits: | QMediaControl.

- List of all members, including inherited members

## Public Functions

virtual | ~QAudioInputSelectorControl()
virtual QString | activeInput() const = 0
virtual QList<QString> | availableInputs() const = 0
virtual QString | defaultInput() const = 0
virtual QString | inputDescription(const QString & name) const = 0

## Public Slots

virtual void | setActiveInput(const QString & name) = 0

## Signals

void | activeInputChanged(const QString & name)
void | availableInputsChanged()

## Protected Functions

| QAudioInputSelectorControl(QObject * parent = 0)

## Macros

| QAudioInputSelectorControl_iid

## Detailed Description

The QAudioInputSelectorControl class provides an audio input selector media control.

The QAudioInputSelectorControl class provides descriptions of the audio inputs available on a system and allows one to be selected as the audio input of a media service.

The interface name of QAudioInputSelectorControl is `org.qt-project.qt.audioinputselectorcontrol/5.0` as defined in QAudioInputSelectorControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### QAudioInputSelectorControl::QAudioInputSelectorControl(QObject * parent = 0)`[protected]`

Constructs a new audio input selector control with the given parent.

### QAudioInputSelectorControl::~QAudioInputSelectorControl()`[virtual]`

Destroys an audio input selector control.

### QString QAudioInputSelectorControl::activeInput() const`[pure virtual]`

Returns the name of the currently selected audio input.

See also setActiveInput().

### void QAudioInputSelectorControl::activeInputChanged(const QString & name)`[signal]`

Signals that the audio input has changed to name.

### QList<QString> QAudioInputSelectorControl::availableInputs() const`[pure virtual]`

Returns a list of the names of the available audio inputs.

### void QAudioInputSelectorControl::availableInputsChanged()`[signal]`

Signals that list of available inputs has changed.

### QString QAudioInputSelectorControl::defaultInput() const`[pure virtual]`

Returns the name of the default audio input.

### QString QAudioInputSelectorControl::inputDescription(const QString & name) const`[pure virtual]`

Returns the description of the input name.

### void QAudioInputSelectorControl::setActiveInput(const QString & name)`[pure virtual slot]`

Set the active audio input to name.

See also activeInput().

## Macro Documentation

### QAudioInputSelectorControl_iid

`org.qt-project.qt.audioinputselectorcontrol/5.0`

Defines the interface name of the QAudioInputSelectorControl class.